Subject: [RTG-DIR] Rtgdir early review of draft-ietf-pce-stateful-pce-lsp-scheduling-12

From: Carlos Pignataro via Datatracker <[email-masked]>
Date: Sun, 22 Mar 2020 20:18:47 -0700

Reviewer: Carlos Pignataro
Review result: Has Nits

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The
Routing Directorate seeks to review all routing or routing-related drafts as
they pass through IETF last call and IESG review, and sometimes on special
request. The purpose of the review is to provide assistance to the Routing ADs.
For more information about the Routing Directorate, please see
​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would
be helpful if you could consider them along with any other IETF Last Call
comments that you receive, and strive to resolve them through discussion or by
updating the draft.

Document: draft-ietf-pce-stateful-pce-lsp-scheduling
Reviewer: Carlos Pignataro
Intended Status: Proposed Standard

Summary:
This is a well written document, which displays iterations that improved its
quality. I have no concerns with this document.

I would point out a small set of questions and potential issues for the
author's consideration:

5.2.1.  SCHED-LSP-ATTRIBUTE TLV

Can Start-Time and Duration take any value from 0 to 32-bits-of-ones?

9.  Manageability Consideration

Could these add Default values or ranges (esp. to times, seconds, etc.)?

10.  IANA Considerations

10.1.  PCEP TLV Type Indicators

For the SCHED-LSP-ATTRIBUTE and SCHED-PD-LSP-ATTRIBUTE, I suggest creating
Registries for the Flags: |   Flags |R|C|A| What is the future's allocation
policy for remaining Flags for example?

Actually reading later Section 10.3 I realize they are specified there. Why are
the Flags in a different section, but Opt in this section? Anyway, a nit.

   IANA is requested to create and maintain a new registry "Opt" under
   SCHED-PD-LSP-ATTRIBUTE (TLV Type: TBD2).  Initial values for the
   registry are given below.

What is the allocation policy for Unassigned?

     Value    Name                              Definition
     -----    ----                              ----------
      0       Reserved
      1       REPEAT-EVERY-DAY                  Section 5.2.2
      2       REPEAT-EVERY-WEEK                 Section 5.2.2
      3       REPEAT-EVERY-MONTH                Section 5.2.2
      4       REPEAT-EVERY-YEAR                 Section 5.2.2
      5       REPEAT-EVERY-REPEAT-TIME-LENGTH   Section 5.2.2
      6-14    Unassigned
      15      Reserved

What is the reason for "Section 5.2.2"? Since this are instructions for IANA,
these references are not significant without the document reference.

Appendix A.  Contributor Addresses

There are more than one Contributors -- why singular?

I hope these help,

Carlos Pignataro.

---

From: Huaimo Chen <[email-masked]>
Date: Mon, 23 Mar 2020 19:51:50 +0000

Hi Carlos,

    Thank you very much for your comments and suggestions.
    We will address them accordingly as described inline below with prefix [HC].

Best Regards,
Huaimo
________________________________
From: Carlos Pignataro via Datatracker <[email-masked]>
Sent: Sunday, March 22, 2020 11:18 PM
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Subject: Rtgdir early review of draft-ietf-pce-stateful-pce-lsp-scheduling-12

Hello,

​https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Ftrac.tools.ietf.org%2Farea%2Frtg%2Ftrac%2Fwiki%2FRtgDir&amp;data=02%7C01%7Chuaimo.chen%40futurewei.com%7C89cb9451d2f74f854da608d7ced8e77c%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637205303321659875&amp;sdata=6R9jure7G95HIZQDlXO%2F27mVBVwZWR27RoFvhhpfsLo%3D&amp;reserved=0

Summary:

[HC]: Good catch.
The value of 0 for Start-Time and Duration does not make any sense.
We will restrict its use. The value of 32-bits-of-ones can be used.

[HC]: Yes. We will introduce some default values.

10.  IANA Considerations

[HC]: We will move it into this section.

[HC]: We will add "New values are assigned by Standards Action [RFC8126]."

     Value    Name                              Definition
     -----    ----                              ----------
      0       Reserved

[HC]: We will change it to "This document".

[HC]: We will use plural.

I hope these help,

[HC]: These really help improve the quality of the document.

Carlos Pignataro.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 23 Mar 2020 19:57:27 +0000

Hi Huaimo,

I appreciate the quick response and I agree with all of your approaches to addressing the comments (hence a quick top-post Ack). Thank you!

Carlos.

2020/03/23 午後3:51、Huaimo Chen <[email-masked]<mailto:[email-masked]>>のメール:

Hi Carlos,

Best Regards,
Huaimo
________________________________
From: Carlos Pignataro via Datatracker <[email-masked]<mailto:[email-masked]>>
Sent: Sunday, March 22, 2020 11:18 PM
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: Rtgdir early review of draft-ietf-pce-stateful-pce-lsp-scheduling-12

Hello,

Summary:

[HC]: Good catch.

10.  IANA Considerations

     Value    Name                              Definition
     -----    ----                              ----------
      0       Reserved

I hope these help,

Carlos Pignataro.

---

From: Huaimo Chen <[email-masked]>
Date: Mon, 23 Mar 2020 21:23:45 +0000

Hi Carlos,

    Thank you very much for your quick response.
    I have updated the document and uploaded it.

Best Regards,
Huaimo
________________________________
From: Carlos Pignataro (cpignata) <[email-masked]>
Sent: Monday, March 23, 2020 3:57 PM
To: Huaimo Chen <[email-masked]>
Cc: Routing Directorate <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Subject: Re: Rtgdir early review of draft-ietf-pce-stateful-pce-lsp-scheduling-12

Hi Huaimo,

Carlos.

Hi Carlos,

Best Regards,
Huaimo

Hello,

​https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Ftrac.tools.ietf.org%2Farea%2Frtg%2Ftrac%2Fwiki%2FRtgDir&amp;data=02%7C01%7Chuaimo.chen%40futurewei.com%7C89cb9451d2f74f854da608d7ced8e77c%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637205303321659875&amp;sdata=6R9jure7G95HIZQDlXO%2F27mVBVwZWR27RoFvhhpfsLo%3D&amp;reserved=0<https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Ftrac.tools.ietf.org%2Farea%2Frtg%2Ftrac%2Fwiki%2FRtgDir&data=02%7C01%7Chuaimo.chen%40futurewei.com%7C87872e81b18e4f55a4aa08d7cf646d3e%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637205902550023148&sdata=rccpfSewvWkc%2Bc%2BVQDvqkTVoiXYQgDBPm1A%2FpmDRadQ%3D&reserved=0>

Summary:

[HC]: Good catch.

10.  IANA Considerations

     Value    Name                              Definition
     -----    ----                              ----------
      0       Reserved

I hope these help,

Carlos Pignataro.